Subject: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Sebastian Wiesner <[email-masked]>
Date: Tue, 5 Aug 2014 22:25:25 +0200

I’m sorry to bring this issue up again, but I noticed that the patch that hides input was only committed to Emacs trunk.  Would it be possible to backport this patch to the Emacs 24 branch as well, so that it the patch is also included Emacs 24.4?  

I know, Emacs is in feature freeze, and I understand that this patch required some changes to Emacs’ internals, but considering the security implications I think it’d be important to include this patch in Emacs 24.4 as well, to bring it downstream as soon as possible.

Greetings,
Sebastian Wiesner